
#include <stdio.h>
#include "pvm3.h"

#define NNODES        4

void main() {
  int node_id ;
  int tids [NNODES] ;

  pvm_mytid() ;
  pvm_catchout(stdout) ;

  /*  Create the node processes.  */

  pvm_spawn("hello.worker", NULL, PvmTaskDefault, "", NNODES, tids);

  /*  Send `node_id' to all nodes.  */

  for(node_id = 0 ; node_id < NNODES ; node_id++)
    pvm_psend(tids [node_id], 0, &node_id, 1, PVM_INT) ;

  pvm_exit() ;
}

